namespace CMSMicroservice.Application.ProductTagCQ.Queries.GetProductTag;
public class GetProductTagQueryValidator : AbstractValidator<GetProductTagQuery>
{
    public GetProductTagQueryValidator()
    {
        RuleFor(model => model.Id)
            .NotNull();
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<GetProductTagQuery>.CreateWithOptions((GetProductTagQuery)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
